Package org.springframework.batch.core.listener

# Class StepExecutionListenerSupport

java.lang.Object
org.springframework.batch.core.listener.StepExecutionListenerSupport

All Implemented Interfaces:
  `StepExecutionListener`, `StepListener`

@Deprecated public class StepExecutionListenerSupport extends Object implements StepExecutionListener
Deprecated.
as of 5.0, in favor of the default methods on the `StepExecutionListener`

Author:
  Dave Syer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StepExecutionListenerSupport()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExitStatus`
  `afterStep(StepExecution stepExecution)`
  Deprecated.
  Give a listener a chance to modify the exit status from a step.
  `void`
  `beforeStep(StepExecution stepExecution)`
  Deprecated.
  Initialize the state of the listener with the `StepExecution` from the current scope.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StepExecutionListenerSupport

    public StepExecutionListenerSupport()
    Deprecated.

- ## Method Details

  - ### afterStep

    @Nullable public ExitStatus afterStep(StepExecution stepExecution)
    Deprecated.
    Description copied from interface: `StepExecutionListener`
    Give a listener a chance to modify the exit status from a step. The value returned will be combined with the normal exit status using `ExitStatus.and(ExitStatus)`. Called after execution of step's processing logic (both successful or failed). Throwing exception in this method has no effect, it will only be logged.
    Specified by:
      `afterStep` in interface `StepExecutionListener`
    Parameters:
      `stepExecution` - `StepExecution` instance.
    Returns:
      an `ExitStatus` to combine with the normal value. Return `null` to leave the old value unchanged.

  - ### beforeStep

    public void beforeStep(StepExecution stepExecution)
    Deprecated.
    Description copied from interface: `StepExecutionListener`
    Initialize the state of the listener with the `StepExecution` from the current scope.
    Specified by:
      `beforeStep` in interface `StepExecutionListener`
    Parameters:
      `stepExecution` - instance of `StepExecution`.